<div class="panel">
        <div class="form-inline">
            <div class="form-group">
            <div class="col-md-6">
                <select class="form-control" name="animals" [(ngModel)]="animals" required (change)="changeForm($event.target.value)">
                    <option  *ngFor="let type of types" [value]="type">
                        {{type}}
                    </option>
                </select>
                </div>
            </div>
            <div class="form-group">
                <div class="col-md-6"  [hidden]="currentPet === 'Hamster'">
                    
                    <input type="string" 
                    class="form-control"  
                    [(ngModel)]="name" 
                    placeholder="Name" 
                    name="petName" #petname="ngModel" required/>
                </div>
            </div>
            <div class="form-group">
                <div class="col-md-6">
                    <input type="number" 
                    class="form-control" 
                    [(ngModel)]="price" 
                    placeholder="Price"
                    name="petPrice" #petPrice="ngModel" required pattern="^[1-9]\d*$" />
                </div>
            </div>
            <div class="form-group">
                <div class="col-md-6">
                    <input class="form-control" 
                    [(ngModel)]="color" 
                    placeholder="Color" 
                    name="petColor" #petColor="ngModel" required/>
                </div>
            </div>
            <div class="form-group">
                <div class="col-md-6" [hidden]="currentPet === 'Dog'">
                    <p>Fluffy:</p>
                    <input
                    type="checkbox"
                    [(ngModel)]="isflufy"
                     />
                </div>
            </div>
            <div class="form-group">
                <div class="col-md-offset-2 col-md-8">
                    <button [disabled]="petColor.invalid || petPrice.invalid || petName.invalid"  class="btn btn-default" (click)="addPet(color, price, name, isflufy)">Add</button>
                </div>
            </div>
        </div>
        <pet-list [title]="listTitle" [pets]="selectedPets"> </pet-list>
        <button (click)="showPetList('Cats')">Show all cats</button>
        <button (click)="showPetList('ExpensivePets')">Show all expensive pets</button>
        <button (click)="showPetList('Fluffy')">Show all fluffy and white pets</button>
        <p>{{exeption}}</p>